Skip to content
For the complete documentation index, see llms.txt. This page is also available as Markdown.

Get algorithms

Get available algorithms.

Get Algorithms

get

Returns the list of available forecasting algorithms. Currently one algorithm is offered (phq-xgboost) based on XGBoost.

Authorizations
AuthorizationstringRequired

Enter your PredictHQ API key. The Bearer prefix is added automatically.

When calling the API directly, send: Authorization: Bearer <YOUR_API_KEY> as documented at https://docs.predicthq.com/api/overview/authenticating

Responses
200

Successful Response

application/json
errorsstring[]Optional

List of error messages, if any.

Default: []
warningsstring[]Optional

List of warning messages, if any.

Default: []
get/v1/forecasts/algos
GET /v1/forecasts/algos HTTP/1.1
Host: api.predicthq.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "errors": [
    "text"
  ],
  "warnings": [
    "text"
  ],
  "results": [
    {
      "algo": "text",
      "description": "text",
      "status": "current"
    }
  ]
}

OpenAPI spec

Guides

Read these guides for more on the Forecasts API:

Last updated

Was this helpful?